#
# spec file for package spark-template-jade
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           spark-template-jade
Version:        2.7.1
Release:        4.65
License:        Apache-2.0
Summary:        Spark templating system using jade4j
URL:            http://www.sparkjava.com
Group:          Development/Libraries/Java
Source0:        spark-template-engines-2.7.1.tar.gz
BuildRequires:  fdupes
BuildRequires:  maven-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%endif
BuildRequires:  mvn(com.sparkjava:spark-core)
BuildRequires:  mvn(de.neuland-bfi:jade4j)
BuildRequires:  mvn(org.eclipse.jetty.websocket:websocket-server)
BuildRequires:  mvn(org.eclipse.jetty.websocket:websocket-servlet)
BuildRequires:  mvn(org.eclipse.jetty:jetty-server)
BuildRequires:  mvn(org.eclipse.jetty:jetty-webapp)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       java

%description
Spark templating system using jade4j

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n "spark-template-engines-%{version}"
find \( -name '*.jar' -o -name '*.class' \) -delete

%build
%{mvn_build} -s -f -- -Dsource=8 -pl spark-template-jade

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles-spark-template-jade
%license spark-template-jade/LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Jun  4 2022 Michael Calmer <mc@suse.com>
- Update to version 2.7.1
  Removed:
  * build.sh
* Mon Sep 21 2015 jrenner@suse.com
- Update to version 2.3
